/*
 * $Id: dbus-contact.h,v 1.2 2011-11-29 07:53:27 miras Exp $
 */
/* vim:et:ts=4:sw=4:et:sts=4:ai:set list listchars=tab\:»·,trail\:·: */

/*
 * Claws-contacts is a proposed new design for the address book feature
 * in Claws Mail. The goal for this new design was to create a
 * solution more suitable for the term lightweight and to be more
 * maintainable than the present implementation.
 *
 * More lightweight is achieved by design, in that sence that the whole
 * structure is based on a plugable design.
 *
 * Claws Mail is Copyright (C) 1999-2011 by the Claws Mail Team and
 * Claws-contacts is Copyright (C) 2011 by Michael Rasmussen.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 */
 
/* 
 * The interface specification is documented in claws-contacts.xml.
 * The file can be found in the documentation directory for claws-contacts
 */

#ifndef __DBUS_CONTACT_H__
#define __DBUS_CONTACT_H__

#include <glib.h>
	
G_BEGIN_DECLS

#include "plugin.h"

typedef struct {
	GHashTable* data;
	GPtrArray*	emails; /* array of struct Email */
} DBusContact;

G_END_DECLS

#endif
